class Dcs2restSettingsController < RxModule::ApplicationController
  model_data_store(Dcs2restSetting,
                   {create: false, read: true, update: true, delete: false, index: true},
                   {create: false, read: true, update: true, delete: false, index: true})

  def start_server
    @model = Dcs2restSetting.instance
    if @model.enable_server && @model.port
      begin
        Dcs2restServer.instance.start(@model.port)
        render :show
      rescue => err
        render json: {error: "unable to start server - #{err}"}, status: :internal_server_error
      end
    else
      render json: {error: "unable to start server - invalid settings."}, status: :unprocessable_entity
    end
  end

  def stop_server
    @model = Dcs2restSetting.instance
    begin
      Dcs2restServer.instance.stop
      render :show
    rescue => err
      render json: {error: "unable to stop server - #{err}"}, status: :internal_server_error
    end
  end

  private

  def model_params
    params.fetch(:dcs2rest_setting).permit(:port, :max_dcs_trace_count, :enable_server)
  end
end