import * as React from 'react';
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";
import {Box} from "@material-ui/core";
import {grey} from "@material-ui/core/colors";
import {getSessionTypeForInterfaceType, InterfaceType} from "../../stores/InterfaceConfigStore";

type SessionTypeBoxProps = {
    interfaceType: InterfaceType;
};

export const SessionTypeBox: React.FunctionComponent<SessionTypeBoxProps> = observer(({interfaceType}) => {

    return (
        <Box component={'span'} p={2} color={grey[500]} fontStyle={'oblique'} border={'1px dashed'} borderColor={grey[500]} borderRadius={4}>
            {t`Session Type` + ': ' + getSessionTypeForInterfaceType(interfaceType)}
        </Box>
    );
});
