import Typography from "@material-ui/core/Typography";
import * as React from "react";
import {Box, Divider, Grid, List, makeStyles} from "@material-ui/core";
import {t, Trans} from "@lingui/macro";

const useStyles = makeStyles((theme) => ({
    bold: {
        fontWeight: 600
    }
}));

export const ConnectionTimoutHint: React.FunctionComponent = () => {
    const classes = useStyles();

    return (
        <div>
            <Typography>
                <Trans>Specifies the maximum amount of time to wait when trying to open a connection.</Trans>
            </Typography>
            <Box mt={2}>
                <Typography variant={'subtitle2'} className={classes.bold}>
                    <Trans>Note: some external systems will not respect the timeout and may keep the connection alive regardless of this setting.</Trans>
                </Typography>
            </Box>
        </div>
    );
};