import * as React from "react";
import {FormProps, PaddedPaper, TabsContainer} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";
import {MachineConfigForm} from "./MachineConfigForm";
import {Container} from "@material-ui/core";
import {MachineConfigTraces} from "./MachineConfigTraces";

export const MachineConfigPage: React.FunctionComponent<FormProps> = observer(({model}) => {
    return <Container maxWidth={'lg'}>
        <PaddedPaper>
            <TabsContainer tabs={
                [
                    {
                        label: t`Configuration`,
                        component: <MachineConfigForm model={model}/>,
                        disabled: false,
                        defaultTab: true
                    },
                    {
                        label: t`Traces`,
                        component: <MachineConfigTraces model={model}/>,
                        disabled: model.isNew,
                        defaultTab: false
                    }
                ]
            }/>
        </PaddedPaper>
    </Container>
})