import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/settings",
    permissionTarget: "Setting",
    singleton: true,
    routingInfo: {
        update: '/settings'
    }
})
export class SettingModel extends Model {
    @attribute()
    id: number = 0;

    @attribute({
        label: t`Maximum DCS traces`,
        validation: yup.number().min(0).nullable(false)
    })
    max_dcs_trace_count: number = 1000;

    constructor() {
        super();
        super.setup();
    }
}

export const SettingStore = SettingModel.store as DataStore<SettingModel>;
