class DataFetcher
  class << self
    def machines
      Rails.cache.fetch([self, :machines], expires_in: 5.minutes) do
        begin
          RxModule::Communicator::Data.all_machines
        rescue StandardError => e
          Rails.logger.error "Failed to get machines from Rx-Data #{e}."
          []
        end
      end
    end
  end
end