class DcsMessageParser
  class << self
    def process_arguments(read_arguments, messages)
      args = {}
      # Use read_arguments to make a hash of provided arguments with their values from the message
      read_arguments.each do |arg_hash|
        if arg_hash[:param_list_definition].empty?
          single_argument_value(args, arg_hash, messages)
        else
          list_argument_values(args, arg_hash, messages)
        end
      end
      args
    end

    private

    def list_argument_values(args, arg_hash, messages)
      filtered_messages = messages.filter {|message| message.include? arg_hash[:message]}
      return args[arg_hash[:name]] = nil if filtered_messages.nil?

      args[arg_hash[:name]] = []
      filtered_messages.each do |filtered_message|

        pre_formatted_message = filtered_message.split(arg_hash[:separator])[arg_hash[:split_index]]
        p = arg_hash[:param_list_definition]
        l = pre_formatted_message.split(p[:separator])
        args[arg_hash[:name]] << {
          tag_name: p[:tag_name],
          name: ensure_string(l.slice(*p[:slice_indexes][:name])),
          value: ensure_string(l.slice(*p[:slice_indexes][:value]))
        }
      end
    end

    def single_argument_value(args, arg_hash, messages)
      message = messages.find {|l| l.include? arg_hash[:message]}
      if message.nil?
        return unless arg_hash[:required]
        return args[arg_hash[:name]] = nil
      end

      return (args[arg_hash[:name]] = message) if arg_hash[:split_index].nil?

      value = message.split(arg_hash[:separator])[arg_hash[:split_index]]
      return if value.empty?
      args[arg_hash[:name]] = value
    end

    def ensure_string(string)
      return string.join('') if string.is_a? Array
      return string.to_s if string.is_a? Integer
      string
    end
  end
end