class DcsConfig < RxModule::ApplicationRecord
  has_many :dcs_traces

  def resolved_name
    "#{name} (#{description})"
  end

  def save_call_trace(job_number, resp)
    return unless keep_call_trace

    require 'json'

    raw_resp = resp[:raw_response] ? JSON.generate(resp[:raw_response]) : nil

    if resp[:success]
      dcs_traces.create(job_number: job_number, raw_data: raw_resp, parsed_data: JSON.generate(resp[:tags]), last_error: nil)
    else
      dcs_traces.create(job_number: job_number, raw_data: raw_resp, last_error: JSON.generate(resp[:error]))
    end
  end
end
