class ErrorInterfaceConfig < InterfaceConfig

  concerning :DcsToXml do
    def arguments_to_read
      [
        make_parameter_config_hash('error', 'XSTATUS', ';', 2, true),
        make_parameter_config_hash('errorno', '_ERRORNO', '=', 1, true),
        make_parameter_config_hash('piececounter', '_PIECECOUNTER', '=', 1, false)
      ]
    end

    def build_xml(args_hash)
      Nokogiri::XML::Builder.with(base_xml) do |xml|
        xml.error('xmlns' => xmlns) {
          args_hash.each do |k,v|
            xml.method_missing(k, v)
          end
        }
      end
    end

    def endpoint
      'connector/satisloh/error/1.0/add'
    end

    def xmlns
      'http://www.software4production.com/connector/satisloh/error_1_0'
    end
  end
end
