class MaintenanceInterfaceConfig < InterfaceConfig

  concerning :DcsToXml do
    def arguments_to_read
      [
        make_parameter_config_hash('maintenance', 'XSTATUS', ';', 2, true),
        make_parameter_config_hash('user', '_USER', '=', 1, false)
      ]
    end

    def build_xml(args_hash)
      Nokogiri::XML::Builder.with(base_xml) do |xml|
        xml.maintenance('xmlns' => xmlns) {
          args_hash.each do |k, v|
            xml.method_missing(k, v)
          end
        }
      end
    end

    def endpoint
      'connector/satisloh/maintenance/1.0/add'
    end

    def xmlns
      'http://www.software4production.com/connector/satisloh/maintenance_1_0'
    end
  end
end
