Rails.application.routes.draw do
  scope :api do
    resources :machine_configs
    resources :dcs_configs do
      member do
        get :ping
        get :force_reset
        post :job_call
      end
      collection do
        get :list
      end
    end
    resources :settings, only: [:index, :update]
    resources :dcs2rest_settings, only: [:index, :update] do
      collection do
        put :start_server
        put :stop_server
      end
    end
    resources :dcs_traces, only: [:show, :index]
    resources :dcs2rest_configs do
      collection do
        get :default_config_json
        get :interface_config_examples_json
      end
    end
    resources :dcs2rest_traces, only: [:show, :index, :destroy]
  end

  mount RxModule::Engine => "/api/rx_module"
  root "/", controller: :index, action: :show, as: :index_show
  match "*path" => "index#show", :via => :all
end
