class CreateDcs2restConfigAndInterfaceConfig < ActiveRecord::Migration[6.0]
  def change
    create_table :dcs2rest_configs do |t|
      t.string :name
      t.integer :machine_state_min
      t.integer :machine_state_max
      t.integer :error_min
      t.integer :error_max
      t.integer :job_state_min
      t.integer :job_state_max
      t.integer :process_parameter_min
      t.integer :process_parameter_max
      t.integer :maintenance_min
      t.integer :maintenance_max
      t.integer :calibration_min
      t.integer :calibration_max
      t.integer :event_min
      t.integer :event_max

      t.timestamps
    end

    create_table :interface_configs do |t|
      t.references :dcs2rest_config, foreign_key: {on_delete: :cascade}, null: false

      t.string :type, default: :MachineStateInterfaceConfig, null: false
      t.integer :x_status
      t.text :data

      t.timestamps

      t.index([:dcs2rest_config_id, :x_status, :type], name: 'x_status_unique_per_config_and_type', :unique => true)
    end
  end
end
