# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2023_11_10_121105) do

  create_table "dcs2rest_configs", force: :cascade do |t|
    t.string "name"
    t.integer "machine_state_min"
    t.integer "machine_state_max"
    t.integer "error_min"
    t.integer "error_max"
    t.integer "job_state_min"
    t.integer "job_state_max"
    t.integer "process_parameter_min"
    t.integer "process_parameter_max"
    t.integer "maintenance_min"
    t.integer "maintenance_max"
    t.integer "calibration_min"
    t.integer "calibration_max"
    t.integer "event_min"
    t.integer "event_max"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "dcs2rest_settings", force: :cascade do |t|
    t.integer "port", default: 3101, null: false
    t.integer "max_dcs_trace_count", default: 1000
    t.boolean "enable_server", default: false, null: false
    t.string "last_server_message"
  end

  create_table "dcs2rest_traces", force: :cascade do |t|
    t.text "raw_data"
    t.text "generated_payload"
    t.datetime "time"
    t.string "targeted_endpoint"
    t.text "last_error"
    t.bigint "machine_config_id", null: false
    t.index ["machine_config_id"], name: "index_dcs2rest_traces_on_machine_config_id"
  end

  create_table "dcs_configs", force: :cascade do |t|
    t.string "name", null: false
    t.string "description", null: false
    t.string "ip", null: false
    t.integer "port", null: false
    t.string "device_type", null: false
    t.integer "retry_on_fail_connection", null: false
    t.integer "connection_timeout", null: false
    t.integer "max_open_connections"
    t.integer "delay_on_socket_open"
    t.boolean "hold_connection_open", default: true
    t.boolean "keep_call_trace", default: true
  end

  create_table "dcs_traces", force: :cascade do |t|
    t.bigint "dcs_config_id", null: false
    t.string "job_number", null: false
    t.text "raw_data"
    t.text "parsed_data"
    t.text "last_error"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dcs_config_id"], name: "index_dcs_traces_on_dcs_config_id"
  end

  create_table "delayed_jobs", force: :cascade do |t|
    t.integer "priority", default: 0, null: false
    t.integer "attempts", default: 0, null: false
    t.text "handler", null: false
    t.text "last_error"
    t.datetime "run_at"
    t.datetime "locked_at"
    t.datetime "failed_at"
    t.string "locked_by"
    t.string "queue"
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["priority", "run_at"], name: "delayed_jobs_priority"
  end

  create_table "interface_configs", force: :cascade do |t|
    t.bigint "dcs2rest_config_id", null: false
    t.string "type", default: "MachineStateInterfaceConfig", null: false
    t.integer "x_status"
    t.text "data"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dcs2rest_config_id", "x_status", "type"], name: "index_interface_configs_on_dcs2rest_config_id_and_x_status_and_type", unique: true
    t.index ["dcs2rest_config_id"], name: "index_interface_configs_on_dcs2rest_config_id"
  end

  create_table "machine_configs", force: :cascade do |t|
    t.integer "rx_data_machine_id"
    t.string "ip_address"
    t.boolean "keep_call_trace", default: false, null: false
    t.bigint "dcs2rest_config_id", null: false
    t.index ["dcs2rest_config_id"], name: "index_machine_configs_on_dcs2rest_config_id"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_serial_numbers", force: :cascade do |t|
    t.string "owner"
    t.bigint "start_number"
    t.bigint "next_number"
    t.integer "padding"
    t.string "column_name", default: "number"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "prefix", limit: 3, default: ""
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "settings", force: :cascade do |t|
    t.integer "max_dcs_trace_count", default: 1000
  end

  add_foreign_key "dcs2rest_traces", "machine_configs", on_delete: :cascade
  add_foreign_key "dcs_traces", "dcs_configs", on_delete: :cascade
  add_foreign_key "interface_configs", "dcs2rest_configs", on_delete: :cascade
  add_foreign_key "machine_configs", "dcs2rest_configs", on_delete: :cascade
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
